﻿.btn {
    display: inline-block;
    padding: 0.5rem 1.5rem;
    font-size: 1rem;
    font-weight: 600;
    color: #760e26;
    background-color: #fff;
    border: 1px solid #760e26;
    border-radius: 16px;
    text-decoration: none;
    position: relative;
    overflow: hidden;
    transition: transform 0.3s ease, background-color 0.3s ease, color 0.3s ease;
}

    .btn:hover {
        background: var(--primary-light);
        color: white;
    }


.btn,
.btn-primary,
.btn-warning,
.btn-success,
.btn-danger,
.add-document-btn {
    background-color: var(--primary) !important;
    color: white !important;
    border: none !important;
    border-radius: 8px;
    font-weight: 600;
    margin: 0.1em;
    padding: 10px 22px;
    transition: all 0.2s ease;
    box-shadow: var(--shadow) !important;
}

.add-document-btn {
   margin-bottom: 50px;

}

.btn:hover,
.btn-primary:hover,
.btn-warning:hover,
.btn-success:hover,
.btn-danger:hover {
    background-color: var(--primary-light) !important;
    color: white !important;
    box-shadow: 0 6px 14px rgba(0,0,0,0.1) !important;
}

.btn:focus,
.btn:focus-visible,
.btn-primary:focus,
.btn-primary:focus-visible,
.btn-warning:focus,
.btn-success:focus,
.btn-danger:focus {
    outline: none !important;
    box-shadow: 0 0 0 0.2rem rgba(118,14,38,0.25) !important;
}

.btn:active,
.btn-primary:active,
.btn-warning:active,
.btn-success:active,
.btn-danger:active {
    background-color: var(--primary) !important;
    color: white !important;
    box-shadow: inset 0 2px 4px rgba(0,0,0,0.2) !important;
    transform: translateY(1px);
}

.back-btn {
    position: fixed;
    top: 200px;
    right: 24px;
    width: 44px;
    height: 44px;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: #800000;
    color: #fff;
    border: none;
    border-radius: 50%;
    font-size: 20px;
    cursor: pointer;
    box-shadow: 0 6px 14px rgba(0, 0, 0, 0.25);
    z-index: 9999;
}

